Package org.pgpainless.util.selection.keyring.impl

# Class Whitelist

java.lang.Object
org.pgpainless.util.selection.keyring.impl.Whitelist

public final class Whitelist extends Object
Implementations of `KeyRingSelectionStrategy` which accept PGP KeyRings based on a whitelist of acceptable keyIds.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Whitelist.PubRingSelectionStrategy<O>`
`KeyRingSelectionStrategy` which accepts `PGPPublicKeyRings` if the
`static class`
`Whitelist.SecRingSelectionStrategy<O>`
`KeyRingSelectionStrategy` which accepts `PGPSecretKeyRings` if the

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`